
#ifndef _EDITOR_H
#define _EDITOR_H

#define TOOL_MODE_BLUR_GAUSSIAN 0
#define TOOL_MODE_BLUR_NORMAL   1
#define TOOL_MODE_FILL          2
#define TOOL_MODE_PEN           3
#define TOOL_MODE_PICK          4

/* variables */
extern GtkItemFactory *editor_item_factory;
extern GtkWidget *editor_window;
extern GtkWidget *editor_file_selection_save, *editor_file_selection_open;

extern int editor_zoom;
extern int editor_dx, editor_dy;
extern int editor_tile;
extern unsigned char *editor_data, *editor_view;
extern int editor_view_mode;
extern int editor_tool_mode;

extern char editor_file_path[256];

extern unsigned char editor_pen_r, editor_pen_g, editor_pen_b, editor_pen_a;
extern unsigned char editor_pen_bg_r, editor_pen_bg_g, editor_pen_bg_b, editor_pen_bg_a;

extern int editor_need_to_save;

/* functions */
int editor_window_init(void);
int editor_window_refresh(void);
int editor_window_set_title(void);

void editor_resize_data(int dx, int dy);
void editor_resize_view(int zoom);

#endif
