
#ifndef _MEMORY_H
#define _MEMORY_H

/* variables */
extern GtkItemFactory *memory_item_factory;
extern GtkWidget *memory_window;
extern GtkWidget *memory_file_selection_save, *memory_file_selection_open;

extern unsigned char *memory_data, *memory_view;
extern int memory_zoom;
extern int memory_dx, memory_dy;
extern int memory_x, memory_y;
extern int memory_snap_to_grid;
extern int memory_real_time;
extern int memory_view_mode;

extern char memory_file_path[256];

/* functions */
int memory_window_init(void);
int memory_window_refresh(void);
int memory_window_block_refresh(void);
int memory_window_plain_block_refresh(void);
int memory_copy_data_out(unsigned char *out, int x, int y, int dx, int dy);
int memory_copy_data_in(unsigned char *in, int x, int y, int dx, int dy);
int memory_draw_editor_rectangle(void);
int memory_compute_tile_position(int mx, int my);

void memory_resize_data(int dx, int dy);
void memory_resize_view(int zoom);
void memory_window_set_title(void);
void memory_title_reset(int ents);

#endif
